Subject: [79attendees] Great Experience with IETF Host Tour Service today

From: Thomas Walsh <[email-masked]>
Date: Thu, 4 Nov 2010 05:27:25 -0400

My wife and I booked a private full day Great Wall / Ming Tomb Tour on Thursday with the Tour Service recommended by the IETF Host.  It was a great experience!

Beijing Overseas Tourism Co., Ltd   http://www.ietf79.cn/show.php?contentid=43

To arrange the private tour, I just called their office phone and they set everything up quickly.  It could not have been easier.
Tel: +86 10 6515 8098/ 6515 8065

My understanding is they will offer many group tours during the IETF meeting week but you can also arrange private tours.

The tour guide was great and we had a great time.  A really nice Chinese Lunch was also included.

The wall was very crowded however so it might get really crazy by the weekend but I think they can also arrange tours to less busy areas on the wall.

I would like to thank the Host for their Recommendation of this company.

Tom Walsh